**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/26.1/sandbox-vaults/refresh-sandbox-from-snapshot

# Refresh Sandbox from Snapshot

Refresh a sandbox Vault in the currently authenticated Vault from an existing [snapshot](/qualityone/vault-api/api-reference/26.1/sandbox-vaults/sandbox-snapshots).

<Endpoint path="/api/{version}/objects/sandbox/{vault_id}/actions/refresh" method="POST" />

## Headers

| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
| `Content-Type` | `application/x-www-form-urlencoded` |

## URI Path Parameters

| Name | Description |
| --- | --- |
| `vault_id` | The Vault ID of the sandbox to be refreshed. |

## Body Parameters

| Name | Description |
| --- | --- |
| `source_snapshot`<Requiredness type="optional" /> | Provide the `api_name` of the snapshot to refresh the sandbox from. You can obtain the `api_name` using the [Retrieve Sandbox Snapshots](/qualityone/vault-api/api-reference/26.1/sandbox-vaults/sandbox-snapshots/retrieve-sandbox-snapshots) request. |

## Request

<CodeExample title="">
```bash
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "source_snapshot=Sandbox1 Snapshot" \
https://myvault.veevavault.com/api/v22.3/objects/sandbox/1001055/actions/refresh
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "job_id": 165954,
    "url": "/api/v22.3/services/jobs/165954"
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response includes the following information:

| Name | Description |
| --- | --- |
| `job_id` | The Job ID value to retrieve the status and results of the sandbox refresh request. |
| `url` | URL to retrieve the current status of the sandbox refresh request. |

---

**Previous:** [Create or Refresh Sandbox](/qualityone/vault-api/api-reference/26.1/sandbox-vaults/create-or-refresh-sandbox)  
**Next:** [Delete Sandbox](/qualityone/vault-api/api-reference/26.1/sandbox-vaults/delete-sandbox)